summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-10-24 09:58:51 +0200
committerHans de Graaff <graaff@gentoo.org>2021-10-24 10:05:48 +0200
commit309dabff0c2ea96123975c64a3f8e9e499685401 (patch)
tree0da1bc3b6e260ca479ac1c176740edfc2a55301f
parentdev-ruby/bundler: cleanup (diff)
downloadgentoo-309dabff0c2ea96123975c64a3f8e9e499685401.tar.gz
gentoo-309dabff0c2ea96123975c64a3f8e9e499685401.tar.bz2
gentoo-309dabff0c2ea96123975c64a3f8e9e499685401.zip
dev-ruby/redcarpet: add ruby30; fix extension install
Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/redcarpet/redcarpet-3.5.1-r1.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/redcarpet/redcarpet-3.5.1-r1.ebuild b/dev-ruby/redcarpet/redcarpet-3.5.1-r1.ebuild
new file mode 100644
index 00000000000..9372c2e1321
--- /dev/null
+++ b/dev-ruby/redcarpet/redcarpet-3.5.1-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOCS="README.markdown CONTRIBUTING.md CHANGELOG.md doc"
+RUBY_FAKEGEM_TASK_TEST="test:unit"
+
+RUBY_FAKEGEM_GEMSPEC="redcarpet.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/redcarpet/extconf.rb)
+
+inherit multilib ruby-fakegem
+
+SRC_URI="https://github.com/vmg/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+DESCRIPTION="A Ruby wrapper for Upskirt"
+HOMEPAGE="https://github.com/vmg/redcarpet"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/d' -e 's/=> :compile//' Rakefile || die
+
+ # Avoid unneeded dependency on rake-compiler
+ sed -i -e '/extensiontask/I s:^:#:' Rakefile || die
+}
+
+each_ruby_prepare() {
+ sed -i -e "s#ruby#${RUBY}#" bin/redcarpet || die
+}